//inclue la librairie Tone
#include <Tone.h> 

//fréquence tone
Tone freq1;

//Déclare les variables
int NOTE_freq;
int captValue2;
int captValue1;
int captValue2LED;

//Déclare les pins
const int capt1 = A0; 
const int capt2 = A1; 
const int vert = 6;
const int bleu = 5;
const int orange = 13;

void setup() {
//La fréquence est appliqué au speaker en pin 11
  freq1.begin(11);
//déclare pinMode
  pinMode(capt1, INPUT);
  pinMode(capt2, INPUT);
  pinMode(vert, OUTPUT);
  pinMode(bleu, OUTPUT);
  pinMode(orange, OUTPUT);  
//Protocole de communication
  Serial.begin(9600);
}

void loop() {
//Lit la valeur des capteurs 
  captValue1 = analogRead(capt1);  
  captValue2 = analogRead(capt2);  

//Adapte les valeurs des capteurs au code
  captValue1 = captValue1/4;
  captValue2LED = map (captValue2, 0, 600, 0, 255);
   
//Écrit les valeur dans le serial moniteur  
  Serial.print("captValue2LED = "); 
  Serial.print(captValue2LED); 
  Serial.print("\t"); 
  Serial.print("captValue1 = "); 
  Serial.print(captValue1); 
  Serial.print("\t"); 
  Serial.print("captValue2 = "); 
  Serial.println(captValue2); 

//La note jouée est égale au capteur2   
  NOTE_freq = captValue2;

//Joue la note dans le speaker
  freq1.play( NOTE_freq, captValue1);

//Fait vibrer la led en fonction du capteur1  
  digitalWrite(orange,HIGH);
  delay(captValue1/2);
  digitalWrite(orange,LOW);

//La couleur des leds évolue en fonction du capteur2  
  analogWrite(vert, 0+captValue2LED);
  analogWrite(bleu, 255-captValue2LED);

//Temps de respiration du code  
  delay(10);
}

